@marmuff

Как разрешить проблему «Access Denied» при работе с Apollo?

Всем доброго времени суток.
Имеется проект, писавшийся еще во времена Gradle 5.6.4 (или дописывающийся, точно не знаю - достался в наследство). Сейчас, при попытке собрать подписанный Bundle для публикации в Google Play, просит обновить Android Gradle Plugin. После обновления плагина, рушится Apollo с ошибкой а-ля "C:\Users\admin\Android\Projects\\app\build\generated\source\apollo\generatedIR\productionRelease (Отказано в доступе)". При попытках обновить сам Gradle с 5.6.4 на 6.2.2 и 6.4 и Apollo до последней версии, отказывается собираться в связи с ошибкой инициализации Kotlin (ругается, к слову, на строку "apply plugin: 'kotlin-android'" в build.gradle). Собирать APK не вариант, требуется именно Bundle. Откатить Gradle до 5.0 (к примеру) нельзя, минимальная версия - 5.6.4 для данного проекта.

Кто сталкивался и какое решение проблемы подскажете?
  • Вопрос задан
  • 20 просмотров
Пригласить эксперта
Ответы на вопрос 1
@marmuff Автор вопроса
В общем, для страждующих: мне удалось это сделать путем отката на студию версии от 20 мая 2019 года. Это самый кажуальный вариант.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
SoftAge Новосибирск
До 200 000 ₽
Mygento eCommerce Solutions Санкт-Петербург
от 100 000 до 140 000 ₽
SoftAge Новосибирск
До 150 000 ₽